Bug 278513 - Importing an ODS with a Sheet name as an existing table shows ambiguous behaviour
Summary: Importing an ODS with a Sheet name as an existing table shows ambiguous behav...
Status: CLOSED FIXED
Alias: None
Product: KEXI
Classification: Unclassified
Component: Migration/Import/Export (show other bugs)
Version: 2.4 alpha3 (Calligra 2.4 alpha3)
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Adam Pigg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-25 22:54 UTC by Dimitrios T Tanis
Modified: 2012-08-11 11:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitrios T Tanis 2011-07-25 22:54:21 UTC
Version:           2.4 alpha3 (Calligra 2.4 alpha3) (using KDE 4.6.0) 
OS:                Linux

There seems to be an issue importing an ODS with a Sheet name as an existing table as behaviour can be different according to the actions taken before importing.

Reproducible: Sometimes

Steps to Reproduce:
Click Import Tables > Select an ODS sheet to import
(After successfully importing) > 
1) Click Import Tables again > Select the same ODS sheet to import
2) Open the table whose name is identical to the sheet name > repeat 1
2a) Quit Kexi > reopen it > reopen the same project.

Actual Results:  
1) You get a "Unable to create table [*sheet name*] message.
2) You can successfully (or so it seems) import the same table again. This time the newly imported table is appended a one digit number (random?)
Trying to open that new table you get the following message:
"Opening object "*new table name*" failed.
Could not load object's definition."
2a) The new table is gone.

Expected Results:  
Importing ANY object with a name as an existing object should create that new object with an appended integer at the end, and the object should be persisted normally.

Expected results should apply to ALL objects whether importing/copying etc.
Comment 1 Adam Pigg 2011-12-09 18:52:19 UTC
Git commit 54ed470bfdef610e0b9bf0a7d68fbf7f55831d76 by Adam Pigg.
Committed on 09/12/2011 at 19:50.
Pushed by piggz into branch 'master'.

Prevent importing a table if an object by that name already exists and allow the user to specify a new name.
CCMAIL:kde-i18n@kde.org
BUG:278513

M  +15   -7    kexi/migration/AlterSchemaWidget.cpp
M  +4    -2    kexi/migration/AlterSchemaWidget.h
M  +10   -6    kexi/migration/importtablewizard.cpp

http://commits.kde.org/calligra/54ed470bfdef610e0b9bf0a7d68fbf7f55831d76
Comment 2 Adam Pigg 2011-12-19 22:17:09 UTC
Git commit 8b72ee91a9d04eecc98f661d658fc8bc4806a7f8 by Adam Pigg.
Committed on 19/12/2011 at 22:51.
Pushed by piggz into branch 'master'.

Improve aesthetics of table import dialog by using an icon to indicate if the name exists while typing, and automagically guessing a best name.
CCMAIL:staniek@kde.org
CCMAIL:kde-i18n@kde.org
BUG:278513

M  +56   -7    kexi/migration/AlterSchemaWidget.cpp
M  +8    -0    kexi/migration/AlterSchemaWidget.h
M  +1    -1    kexi/migration/importtablewizard.cpp

http://commits.kde.org/calligra/8b72ee91a9d04eecc98f661d658fc8bc4806a7f8